define([
  'app',
  'utils/toastUtil',
  'html/common/global_service'
],function(app){

  app.controller('telController',
  ['$scope','$state','$ionicHistory','$stateParams','$ionicActionSheet','$ionicPopup','ToastUtils','Global',
  function($scope, $state, $ionicHistory, $stateParams, $ionicActionSheet, $ionicPopup,ToastUtils,Global) {
    $scope.goBack = goBack;
    function goBack(){
      if (Global.isInweixinBrowser()) {
        history.back();
      } else {
        $ionicHistory.goBack();
      }
    }
    $scope.call = function (phone) {
        if(ionic.Platform.isWebView()){
            $ionicPopup.confirm({
                content:'确定拨打电话:'+phone+'?',
                scope: $scope,
                buttons: [{
                    text: '确定',
                    onTap: function(e) {
                        phonedialer.dial(phone, function(err) {
                        });
                        return false;
                    }
                },{
                    text: '取消',
                    onTap: function(e) {
                        return false;
                    }
                }]
            });


        }else{
            window.location.href = 'tel:'+phone;
        }

    }
  }]);

});



